##########################################################################################
#
# MMT Extended Config Script
#
##########################################################################################

##########################################################################################
# Config Flags
##########################################################################################

# Uncomment and change 'MINAPI' and 'MAXAPI' to the minimum and maximum android version for your mod
# Uncomment DYNLIB if you want libs installed to vendor for oreo+ and system for anything older
# Uncomment DEBUG if you want full debug logs (saved to /sdcard)
MINAPI=26
MAXAPI=29
#DYNLIB=true
DEBUG=true

##########################################################################################
# Replace list
##########################################################################################

# List all directories you want to directly replace in the system
# Check the documentations for more info why you would need this

# Construct your list in the following format
# This is an example
REPLACE_EXAMPLE="
/system/app/Youtube
/system/priv-app/SystemUI
/system/priv-app/Settings
/system/framework
"

# Construct your own list here
REPLACE="
"

##########################################################################################
# Custom Logic
##########################################################################################

set_permissions() {
  # Note that all files/folders in magisk module directory have the $MODPATH prefix - keep this prefix on all of your files/folders
  # Some examples:
  
  # For directories (includes files in them):
  # set_perm_recursive  <dirname>                <owner> <group> <dirpermission> <filepermission> <contexts> (default: u:object_r:system_file:s0)
  
  # set_perm_recursive $MODPATH/system/lib 0 0 0755 0644
  # set_perm_recursive $MODPATH/system/vendor/lib/soundfx 0 0 0755 0644

  # For files (not in directories taken care of above)
  # set_perm  <filename>                         <owner> <group> <permission> <contexts> (default: u:object_r:system_file:s0)
  
  # set_perm $MODPATH/system/lib/libart.so 0 0 0644
  # set_perm /data/local/tmp/file.txt 0 0 644
  set_perm $MODPATH/system/vendor/lib/libchromatix_imx398_3a_4656x2608_30fps_preview.so 0 0 0644
  set_perm $MODPATH/system/vendor/lib/libchromatix_imx398_3a_4656x3496_30fps_preview.so 0 0 0644
  set_perm $MODPATH/system/vendor/lib/libchromatix_imx398_cpp_4656x3496_30fps_preview.so 0 0 0644
  set_perm $MODPATH/system/vendor/lib/libchromatix_imx398_cpp_4656x3496_30fps_snapshot.so 0 0 0644
  set_perm $MODPATH/system/vendor/lib/libchromatix_imx398_isp_4656x3496_30fps_snapshot.so 0 0 0644
}

# Custom Variables for Install AND Uninstall - Keep everything within this function - runs before uninstall/install
custom() {
  # Device check
  if ! device_check "cheeseburger" && ! device_check "OnePlus5" && ! device_check "dumpling" && ! device_check "OnePlus5T"; then
    abort "This mod is only intended to be used on OnePlus 5/5T. Aborting!"
  fi
  
  # Delete stuff that isn't needed for the module directory
  rm -f $MODPATH/LICENSE
}

# Custom Functions for Install AND Uninstall - You can put them here

##########################################################################################
# MMT Extended Logic - Don't modify anything after this
##########################################################################################

SKIPUNZIP=1
unzip -qjo "$ZIPFILE" 'common/functions.sh' -d $TMPDIR >&2
. $TMPDIR/functions.sh
